package capitulo05.bloque03.vehiculos;

public class Coche extends Vehiculo{

    public Coche(int velocidad, String nombreModelo) {
        this.setVelocidadActual(velocidad);
        this.setModelo(nombreModelo);
    }

    @Override
    public void acelerar() {
        this.setVelocidadActual(getVelocidadActual() + 20);
    }

    @Override
    public void frenar() {
        this.setVelocidadActual(getVelocidadActual() + 40);
    }
}
